Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.util
Class Config

    java.lang.Object
      writer2latex.util.Config

    public class Config

extends java.lang.Object

Field Summary
`static int` | `ACCEPT`
`private static int` | `ALIGN_FRAMES`
`private static int` | `BACKEND`
`protected boolean` | `bDebug`
`private static int` | `BIBTEX_STYLE`
`static int` | `COMMENT`
`static int` | `CONVERT_ALL`
`static int` | `CONVERT_BASIC`
`static int` | `CONVERT_HEADER_FOOTER`
`static int` | `CONVERT_MOST`
`static int` | `CUSTOM`
`protected java.util.LinkedList` | `customPreamble`
`private static int` | `DEBUG`
`private static int` | `DOCUMENTCLASS`
`static int` | `DVIPS`
`static int` | `ERROR`
`private static int` | `FIGURE_SEQUENCE_NAME`
`private static int` | `FLOAT_FIGURES`
`private static int` | `FLOAT_OPTIONS`
`private static int` | `FLOAT_TABLES`
`private static int` | `FORMATTING`
`static int` | `GENERIC`
`private static int` | `GLOBAL_OPTIONS`
`private static int` | `GREEK_MATH`
`protected HeadingMap` | `headingMap`
`static int` | `IGNORE`
`static int` | `IGNORE_ALL`
`private static int` | `IGNORE_DOUBLE_SPACES`
`private static int` | `IGNORE_EMPTY_PARAGRAPHS`
`static int` | `IGNORE_HARD`
`private static int` | `IGNORE_HARD_LINE_BREAKS`
`private static int` | `IGNORE_HARD_PAGE_BREAKS`
`static int` | `IGNORE_MOST`
`static int` | `IGNORE_STYLES`
`private static int` | `IMAGE_CONTENT`
`private static int` | `IMAGE_OPTIONS`
`private static int` | `INPUTENCODING`
`private static int` | `KEEP_IMAGE_SIZE`
`protected StyleMap` | `list`
`protected StyleMap` | `listItem`
`static int` | `MARGINPAR`
`protected java.util.Hashtable` | `mathSymbols`
`private static int` | `MULTILINGUAL`
`private static int` | `NO_INDEX`
`private static int` | `NO_PREAMBLE`
`private static int` | `NOTES`
`private static int` | `OPTION_COUNT`
`(package private) Option[]` | `options`
`private static int` | `OTHER_STYLES`
`private static int` | `PAGE_FORMATTING`
`protected StyleMap` | `par`
`protected StyleMap` | `parBlock`
`static int` | `PDFANNOTATION`
`static int` | `PDFTEX`
`private static int` | `REMOVE_GRAPHICS_EXTENSION`
`private static int` | `SIMPLE_TABLE_LIMIT`
`private static int` | `SPLIT_LINKED_SECTIONS`
`private static int` | `SPLIT_TOPLEVEL_SECTIONS`
`protected ReplacementTrie` | `stringReplace`
`private static int` | `TABLE_CONTENT`
`private static int` | `TABLE_SEQUENCE_NAME`
`private static int` | `TABSTOP`
`protected StyleMap` | `text`
`static int` | `UNSPECIFIED`
`private static int` | `USE_BBDING`
`private static int` | `USE_BIBTEX`
`private static int` | `USE_CAPTION`
`private static int` | `USE_COLOR`
`private static int` | `USE_COLORTBL`
`private static int` | `USE_ENDNOTES`
`private static int` | `USE_EUROSYM`
`private static int` | `USE_FANCYHDR`
`private static int` | `USE_GEOMETRY`
`private static int` | `USE_HYPERREF`
`private static int` | `USE_IFSYM`
`private static int` | `USE_LASTPAGE`
`private static int` | `USE_LONGTABLE`
`private static int` | `USE_OOOMATH`
`private static int` | `USE_OOOREF`
`private static int` | `USE_PIFONT`
`private static int` | `USE_SUPERTABULAR`
`private static int` | `USE_TABULARY`
`private static int` | `USE_TIPA`
`private static int` | `USE_TITLEREF`
`private static int` | `USE_ULEM`
`private static int` | `USE_WASYSYM`
`static int` | `WARNING`
`private static int` | `WRAP_LINES_AFTER`
`protected XhtmlStyleMap` | `xattr`
`protected XhtmlStyleMap` | `xframe`
`private static int` | `XHTML_CALC_SPLIT`
`private static int` | `XHTML_COLUMN_SCALING`
`private static int` | `XHTML_CONVERT_TO_PX`
`private static int` | `XHTML_CUSTOM_STYLESHEET`
`private static int` | `XHTML_DIRECTORY_ICON`
`private static int` | `XHTML_DOCUMENT_ICON`
`private static int` | `XHTML_ENCODING`
`private static int` | `XHTML_FLOAT_OBJECTS`
`private static int` | `XHTML_FORMATTING`
`private static int` | `XHTML_FRAME_FORMATTING`
`private static int` | `XHTML_IGNORE_TABLE_DIMENSIONS`
`private static int` | `XHTML_NO_DOCTYPE`
`private static int` | `XHTML_SCALING`
`private static int` | `XHTML_SECTION_FORMATTING`
`private static int` | `XHTML_SPLIT_LEVEL`
`private static int` | `XHTML_TABLE_FORMATTING`
`private static int` | `XHTML_TABSTOP_STYLE`
`private static int` | `XHTML_UPLINK`
`private static int` | `XHTML_USE_DUBLIN_CORE`
`private static int` | `XHTML_USE_LIST_HACK`
`protected XhtmlStyleMap` | `xlist`
`protected XhtmlStyleMap` | `xpar`
`protected XhtmlStyleMap` | `xtext`

Constructor Summary
`Config()`

Method Summary
`boolean` | `alignFrames()`
`java.lang.String` | `bibtexStyle()`
`boolean` | `debug()`
`boolean` | `floatFigures()`
`boolean` | `floatTables()`
`int` | `formatting()`
`int` | `getBackend()`
`java.util.LinkedList` | `getCustomPreamble()`
`java.lang.String` | `getDocumentclass()`
`java.lang.String` | `getFigureSequenceName()`
`java.lang.String` | `getFloatOptions()`
`java.lang.String` | `getGlobalOptions()`
`HeadingMap` | `getHeadingMap()`
`java.lang.String` | `getImageOptions()`
`int` | `getInputencoding()`
`StyleMap` | `getListItemStyleMap()`
`StyleMap` | `getListStyleMap()`
`java.util.Hashtable` | `getMathSymbols()`
`java.lang.String` | `getNotesCommand()`
`StyleMap` | `getParBlockStyleMap()`
`StyleMap` | `getParStyleMap()`
`int` | `getSimpleTableLimit()`
`ReplacementTrie` | `getStringReplace()`
`java.lang.String` | `getTableSequenceName()`
`java.lang.String` | `getTabstop()`
`StyleMap` | `getTextStyleMap()`
`int` | `getWrapLinesAfter()`
`XhtmlStyleMap` | `getXAttrStyleMap()`
`XhtmlStyleMap` | `getXFrameStyleMap()`
`java.lang.String` | `getXhtmlColumnScaling()`
`java.lang.String` | `getXhtmlDirectoryIcon()`
`java.lang.String` | `getXhtmlDocumentIcon()`
`java.lang.String` | `getXhtmlScaling()`
`int` | `getXhtmlSplitLevel()`
`java.lang.String` | `getXhtmlTabstopStyle()`
`java.lang.String` | `getXhtmlUplink()`
`XhtmlStyleMap` | `getXListStyleMap()`
`XhtmlStyleMap` | `getXParStyleMap()`
`XhtmlStyleMap` | `getXTextStyleMap()`
`boolean` | `greekMath()`
`boolean` | `ignoreDoubleSpaces()`
`boolean` | `ignoreEmptyParagraphs()`
`boolean` | `ignoreHardLineBreaks()`
`boolean` | `ignoreHardPageBreaks()`
`int` | `imageContent()`
`boolean` | `keepImageSize()`
`boolean` | `multilingual()`
`boolean` | `noIndex()`
`boolean` | `noPreamble()`
`int` | `notes()`
`int` | `otherStyles()`
`int` | `pageFormatting()`
`void` | `read(java.io.InputStream is)` Read configuration from a specified input stream
`void` | `readHeadingMap(org.w3c.dom.Node node)`
`boolean` | `removeGraphicsExtension()`
`void` | `setOption(java.lang.String sName, java.lang.String sValue)`
`boolean` | `splitLinkedSections()`
`boolean` | `splitToplevelSections()`
`int` | `tableContent()`
`boolean` | `useBbding()`
`boolean` | `useBibtex()`
`boolean` | `useCaption()`
`boolean` | `useColor()`
`boolean` | `useColortbl()`
`boolean` | `useEndnotes()`
`boolean` | `useEurosym()`
`boolean` | `useFancyhdr()`
`boolean` | `useGeometry()`
`boolean` | `useHyperref()`
`boolean` | `useIfsym()`
`boolean` | `useLastpage()`
`boolean` | `useLongtable()`
`boolean` | `useOoomath()`
`boolean` | `useOooref()`
`boolean` | `usePifont()`
`boolean` | `useSupertabular()`
`boolean` | `useTabulary()`
`boolean` | `useTipa()`
`boolean` | `useTitleref()`
`boolean` | `useUlem()`
`boolean` | `useWasysym()`
`void` | `write(java.io.OutputStream os)`
`private void` | `writeContent(org.w3c.dom.Document dom, java.util.LinkedList list, java.lang.String sElement)`
`private void` | `writeStyleMap(org.w3c.dom.Document dom, StyleMap sm, java.lang.String sClass)`
`private void` | `writeXStyleMap(org.w3c.dom.Document dom, XhtmlStyleMap sm, java.lang.String sClass)`
`boolean` | `xhtmlCalcSplit()`
`boolean` | `xhtmlConvertToPx()`
`java.lang.String` | `xhtmlCustomStylesheet()`
`java.lang.String` | `xhtmlEncoding()`
`boolean` | `xhtmlFloatObjects()`
`int` | `xhtmlFormatting()`
`int` | `xhtmlFrameFormatting()`
`boolean` | `xhtmlIgnoreTableDimensions()`
`boolean` | `xhtmlNoDoctype()`
`int` | `xhtmlSectionFormatting()`
`int` | `xhtmlTableFormatting()`
`boolean` | `xhtmlUseDublinCore()`
`boolean` | `xhtmlUseListHack()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERIC

    public static final int GENERIC

See Also:
  Constant Field Values

### DVIPS

    public static final int DVIPS

See Also:
  Constant Field Values

### PDFTEX

    public static final int PDFTEX

See Also:
  Constant Field Values

### UNSPECIFIED

    public static final int UNSPECIFIED

See Also:
  Constant Field Values

### IGNORE_ALL

    public static final int IGNORE_ALL

See Also:
  Constant Field Values

### IGNORE_MOST

    public static final int IGNORE_MOST

See Also:
  Constant Field Values

### CONVERT_BASIC

    public static final int CONVERT_BASIC

See Also:
  Constant Field Values

### CONVERT_MOST

    public static final int CONVERT_MOST

See Also:
  Constant Field Values

### CONVERT_ALL

    public static final int CONVERT_ALL

See Also:
  Constant Field Values

### IGNORE_STYLES

    public static final int IGNORE_STYLES

See Also:
  Constant Field Values

### IGNORE_HARD

    public static final int IGNORE_HARD

See Also:
  Constant Field Values

### CONVERT_HEADER_FOOTER

    public static final int CONVERT_HEADER_FOOTER

See Also:
  Constant Field Values

### IGNORE

    public static final int IGNORE

See Also:
  Constant Field Values

### ACCEPT

    public static final int ACCEPT

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

### PDFANNOTATION

    public static final int PDFANNOTATION

See Also:
  Constant Field Values

### MARGINPAR

    public static final int MARGINPAR

See Also:
  Constant Field Values

### CUSTOM

    public static final int CUSTOM

See Also:
  Constant Field Values

### BACKEND

    private static final int BACKEND

See Also:
  Constant Field Values

### NO_PREAMBLE

    private static final int NO_PREAMBLE

See Also:
  Constant Field Values

### NO_INDEX

    private static final int NO_INDEX

See Also:
  Constant Field Values

### DOCUMENTCLASS

    private static final int DOCUMENTCLASS

See Also:
  Constant Field Values

### GLOBAL_OPTIONS

    private static final int GLOBAL_OPTIONS

See Also:
  Constant Field Values

### INPUTENCODING

    private static final int INPUTENCODING

See Also:
  Constant Field Values

### MULTILINGUAL

    private static final int MULTILINGUAL

See Also:
  Constant Field Values

### GREEK_MATH

    private static final int GREEK_MATH

See Also:
  Constant Field Values

### USE_OOOMATH

    private static final int USE_OOOMATH

See Also:
  Constant Field Values

### USE_PIFONT

    private static final int USE_PIFONT

See Also:
  Constant Field Values

### USE_IFSYM

    private static final int USE_IFSYM

See Also:
  Constant Field Values

### USE_WASYSYM

    private static final int USE_WASYSYM

See Also:
  Constant Field Values

### USE_BBDING

    private static final int USE_BBDING

See Also:
  Constant Field Values

### USE_EUROSYM

    private static final int USE_EUROSYM

See Also:
  Constant Field Values

### USE_TIPA

    private static final int USE_TIPA

See Also:
  Constant Field Values

### USE_COLOR

    private static final int USE_COLOR

See Also:
  Constant Field Values

### USE_COLORTBL

    private static final int USE_COLORTBL

See Also:
  Constant Field Values

### USE_GEOMETRY

    private static final int USE_GEOMETRY

See Also:
  Constant Field Values

### USE_FANCYHDR

    private static final int USE_FANCYHDR

See Also:
  Constant Field Values

### USE_HYPERREF

    private static final int USE_HYPERREF

See Also:
  Constant Field Values

### USE_CAPTION

    private static final int USE_CAPTION

See Also:
  Constant Field Values

### USE_LONGTABLE

    private static final int USE_LONGTABLE

See Also:
  Constant Field Values

### USE_SUPERTABULAR

    private static final int USE_SUPERTABULAR

See Also:
  Constant Field Values

### USE_TABULARY

    private static final int USE_TABULARY

See Also:
  Constant Field Values

### USE_ENDNOTES

    private static final int USE_ENDNOTES

See Also:
  Constant Field Values

### USE_ULEM

    private static final int USE_ULEM

See Also:
  Constant Field Values

### USE_LASTPAGE

    private static final int USE_LASTPAGE

See Also:
  Constant Field Values

### USE_TITLEREF

    private static final int USE_TITLEREF

See Also:
  Constant Field Values

### USE_OOOREF

    private static final int USE_OOOREF

See Also:
  Constant Field Values

### USE_BIBTEX

    private static final int USE_BIBTEX

See Also:
  Constant Field Values

### BIBTEX_STYLE

    private static final int BIBTEX_STYLE

See Also:
  Constant Field Values

### FORMATTING

    private static final int FORMATTING

See Also:
  Constant Field Values

### PAGE_FORMATTING

    private static final int PAGE_FORMATTING

See Also:
  Constant Field Values

### OTHER_STYLES

    private static final int OTHER_STYLES

See Also:
  Constant Field Values

### IMAGE_CONTENT

    private static final int IMAGE_CONTENT

See Also:
  Constant Field Values

### TABLE_CONTENT

    private static final int TABLE_CONTENT

See Also:
  Constant Field Values

### IGNORE_HARD_PAGE_BREAKS

    private static final int IGNORE_HARD_PAGE_BREAKS

See Also:
  Constant Field Values

### IGNORE_HARD_LINE_BREAKS

    private static final int IGNORE_HARD_LINE_BREAKS

See Also:
  Constant Field Values

### IGNORE_EMPTY_PARAGRAPHS

    private static final int IGNORE_EMPTY_PARAGRAPHS

See Also:
  Constant Field Values

### IGNORE_DOUBLE_SPACES

    private static final int IGNORE_DOUBLE_SPACES

See Also:
  Constant Field Values

### ALIGN_FRAMES

    private static final int ALIGN_FRAMES

See Also:
  Constant Field Values

### FLOAT_FIGURES

    private static final int FLOAT_FIGURES

See Also:
  Constant Field Values

### FLOAT_TABLES

    private static final int FLOAT_TABLES

See Also:
  Constant Field Values

### FLOAT_OPTIONS

    private static final int FLOAT_OPTIONS

See Also:
  Constant Field Values

### FIGURE_SEQUENCE_NAME

    private static final int FIGURE_SEQUENCE_NAME

See Also:
  Constant Field Values

### TABLE_SEQUENCE_NAME

    private static final int TABLE_SEQUENCE_NAME

See Also:
  Constant Field Values

### IMAGE_OPTIONS

    private static final int IMAGE_OPTIONS

See Also:
  Constant Field Values

### REMOVE_GRAPHICS_EXTENSION

    private static final int REMOVE_GRAPHICS_EXTENSION

See Also:
  Constant Field Values

### KEEP_IMAGE_SIZE

    private static final int KEEP_IMAGE_SIZE

See Also:
  Constant Field Values

### SIMPLE_TABLE_LIMIT

    private static final int SIMPLE_TABLE_LIMIT

See Also:
  Constant Field Values

### NOTES

    private static final int NOTES

See Also:
  Constant Field Values

### TABSTOP

    private static final int TABSTOP

See Also:
  Constant Field Values

### WRAP_LINES_AFTER

    private static final int WRAP_LINES_AFTER

See Also:
  Constant Field Values

### SPLIT_LINKED_SECTIONS

    private static final int SPLIT_LINKED_SECTIONS

See Also:
  Constant Field Values

### SPLIT_TOPLEVEL_SECTIONS

    private static final int SPLIT_TOPLEVEL_SECTIONS

See Also:
  Constant Field Values

### XHTML_NO_DOCTYPE

    private static final int XHTML_NO_DOCTYPE

See Also:
  Constant Field Values

### XHTML_ENCODING

    private static final int XHTML_ENCODING

See Also:
  Constant Field Values

### XHTML_CUSTOM_STYLESHEET

    private static final int XHTML_CUSTOM_STYLESHEET

See Also:
  Constant Field Values

### XHTML_FORMATTING

    private static final int XHTML_FORMATTING

See Also:
  Constant Field Values

### XHTML_FRAME_FORMATTING

    private static final int XHTML_FRAME_FORMATTING

See Also:
  Constant Field Values

### XHTML_SECTION_FORMATTING

    private static final int XHTML_SECTION_FORMATTING

See Also:
  Constant Field Values

### XHTML_TABLE_FORMATTING

    private static final int XHTML_TABLE_FORMATTING

See Also:
  Constant Field Values

### XHTML_IGNORE_TABLE_DIMENSIONS

    private static final int XHTML_IGNORE_TABLE_DIMENSIONS

See Also:
  Constant Field Values

### XHTML_USE_DUBLIN_CORE

    private static final int XHTML_USE_DUBLIN_CORE

See Also:
  Constant Field Values

### XHTML_CONVERT_TO_PX

    private static final int XHTML_CONVERT_TO_PX

See Also:
  Constant Field Values

### XHTML_SCALING

    private static final int XHTML_SCALING

See Also:
  Constant Field Values

### XHTML_COLUMN_SCALING

    private static final int XHTML_COLUMN_SCALING

See Also:
  Constant Field Values

### XHTML_FLOAT_OBJECTS

    private static final int XHTML_FLOAT_OBJECTS

See Also:
  Constant Field Values

### XHTML_TABSTOP_STYLE

    private static final int XHTML_TABSTOP_STYLE

See Also:
  Constant Field Values

### XHTML_USE_LIST_HACK

    private static final int XHTML_USE_LIST_HACK

See Also:
  Constant Field Values

### XHTML_SPLIT_LEVEL

    private static final int XHTML_SPLIT_LEVEL

See Also:
  Constant Field Values

### XHTML_CALC_SPLIT

    private static final int XHTML_CALC_SPLIT

See Also:
  Constant Field Values

### XHTML_UPLINK

    private static final int XHTML_UPLINK

See Also:
  Constant Field Values

### XHTML_DIRECTORY_ICON

    private static final int XHTML_DIRECTORY_ICON

See Also:
  Constant Field Values

### XHTML_DOCUMENT_ICON

    private static final int XHTML_DOCUMENT_ICON

See Also:
  Constant Field Values

### DEBUG

    private static final int DEBUG

See Also:
  Constant Field Values

### OPTION_COUNT

    private static final int OPTION_COUNT

See Also:
  Constant Field Values

### options

    Option[] options

### bDebug

    protected boolean bDebug

### customPreamble

    protected java.util.LinkedList customPreamble

### par

    protected StyleMap par

### parBlock

    protected StyleMap parBlock

### text

    protected StyleMap text

### list

    protected StyleMap list

### listItem

    protected StyleMap listItem

### headingMap

    protected HeadingMap headingMap

### xpar

    protected XhtmlStyleMap xpar

### xtext

    protected XhtmlStyleMap xtext

### xframe

    protected XhtmlStyleMap xframe

### xlist

    protected XhtmlStyleMap xlist

### xattr

    protected XhtmlStyleMap xattr

### mathSymbols

    protected java.util.Hashtable mathSymbols

### stringReplace

    protected ReplacementTrie stringReplace

Constructor Detail

### Config

    public Config()

Method Detail

### setOption

    public void setOption(java.lang.String sName,
                          java.lang.String sValue)

### read

    public void read(java.io.InputStream is)

  Read configuration from a specified input stream

  Parameters:
    `is` - the input stream to read the configuration from

### readHeadingMap

    public void readHeadingMap(org.w3c.dom.Node node)

### write

    public void write(java.io.OutputStream os)

### getStringReplace

    public ReplacementTrie getStringReplace()

### debug

    public boolean debug()

### getDocumentclass

    public java.lang.String getDocumentclass()

### getGlobalOptions

    public java.lang.String getGlobalOptions()

### getBackend

    public int getBackend()

### getInputencoding

    public int getInputencoding()

### multilingual

    public boolean multilingual()

### greekMath

    public boolean greekMath()

### noPreamble

    public boolean noPreamble()

### noIndex

    public boolean noIndex()

### useOoomath

    public boolean useOoomath()

### usePifont

    public boolean usePifont()

### useIfsym

    public boolean useIfsym()

### useWasysym

    public boolean useWasysym()

### useBbding

    public boolean useBbding()

### useEurosym

    public boolean useEurosym()

### useTipa

    public boolean useTipa()

### useColor

    public boolean useColor()

### useColortbl

    public boolean useColortbl()

### useGeometry

    public boolean useGeometry()

### useFancyhdr

    public boolean useFancyhdr()

### useHyperref

    public boolean useHyperref()

### useCaption

    public boolean useCaption()

### useLongtable

    public boolean useLongtable()

### useSupertabular

    public boolean useSupertabular()

### useTabulary

    public boolean useTabulary()

### useEndnotes

    public boolean useEndnotes()

### useUlem

    public boolean useUlem()

### useLastpage

    public boolean useLastpage()

### useTitleref

    public boolean useTitleref()

### useOooref

    public boolean useOooref()

### useBibtex

    public boolean useBibtex()

### bibtexStyle

    public java.lang.String bibtexStyle()

### formatting

    public int formatting()

### pageFormatting

    public int pageFormatting()

### otherStyles

    public int otherStyles()

### imageContent

    public int imageContent()

### tableContent

    public int tableContent()

### ignoreHardPageBreaks

    public boolean ignoreHardPageBreaks()

### ignoreHardLineBreaks

    public boolean ignoreHardLineBreaks()

### ignoreEmptyParagraphs

    public boolean ignoreEmptyParagraphs()

### ignoreDoubleSpaces

    public boolean ignoreDoubleSpaces()

### alignFrames

    public boolean alignFrames()

### floatFigures

    public boolean floatFigures()

### floatTables

    public boolean floatTables()

### getFloatOptions

    public java.lang.String getFloatOptions()

### getFigureSequenceName

    public java.lang.String getFigureSequenceName()

### getTableSequenceName

    public java.lang.String getTableSequenceName()

### getImageOptions

    public java.lang.String getImageOptions()

### removeGraphicsExtension

    public boolean removeGraphicsExtension()

### keepImageSize

    public boolean keepImageSize()

### getSimpleTableLimit

    public int getSimpleTableLimit()

### notes

    public int notes()

### getNotesCommand

    public java.lang.String getNotesCommand()

### getTabstop

    public java.lang.String getTabstop()

### getWrapLinesAfter

    public int getWrapLinesAfter()

### splitLinkedSections

    public boolean splitLinkedSections()

### splitToplevelSections

    public boolean splitToplevelSections()

### xhtmlNoDoctype

    public boolean xhtmlNoDoctype()

### xhtmlEncoding

    public java.lang.String xhtmlEncoding()

### xhtmlCustomStylesheet

    public java.lang.String xhtmlCustomStylesheet()

### xhtmlFormatting

    public int xhtmlFormatting()

### xhtmlFrameFormatting

    public int xhtmlFrameFormatting()

### xhtmlSectionFormatting

    public int xhtmlSectionFormatting()

### xhtmlTableFormatting

    public int xhtmlTableFormatting()

### xhtmlIgnoreTableDimensions

    public boolean xhtmlIgnoreTableDimensions()

### xhtmlUseDublinCore

    public boolean xhtmlUseDublinCore()

### xhtmlConvertToPx

    public boolean xhtmlConvertToPx()

### getXhtmlScaling

    public java.lang.String getXhtmlScaling()

### getXhtmlColumnScaling

    public java.lang.String getXhtmlColumnScaling()

### xhtmlFloatObjects

    public boolean xhtmlFloatObjects()

### getXhtmlTabstopStyle

    public java.lang.String getXhtmlTabstopStyle()

### xhtmlUseListHack

    public boolean xhtmlUseListHack()

### getXhtmlSplitLevel

    public int getXhtmlSplitLevel()

### xhtmlCalcSplit

    public boolean xhtmlCalcSplit()

### getXhtmlUplink

    public java.lang.String getXhtmlUplink()

### getXhtmlDirectoryIcon

    public java.lang.String getXhtmlDirectoryIcon()

### getXhtmlDocumentIcon

    public java.lang.String getXhtmlDocumentIcon()

### getMathSymbols

    public java.util.Hashtable getMathSymbols()

### getParStyleMap

    public StyleMap getParStyleMap()

### getParBlockStyleMap

    public StyleMap getParBlockStyleMap()

### getTextStyleMap

    public StyleMap getTextStyleMap()

### getListStyleMap

    public StyleMap getListStyleMap()

### getListItemStyleMap

    public StyleMap getListItemStyleMap()

### getHeadingMap

    public HeadingMap getHeadingMap()

### getCustomPreamble

    public java.util.LinkedList getCustomPreamble()

### getXParStyleMap

    public XhtmlStyleMap getXParStyleMap()

### getXTextStyleMap

    public XhtmlStyleMap getXTextStyleMap()

### getXFrameStyleMap

    public XhtmlStyleMap getXFrameStyleMap()

### getXListStyleMap

    public XhtmlStyleMap getXListStyleMap()

### getXAttrStyleMap

    public XhtmlStyleMap getXAttrStyleMap()

### writeStyleMap

    private void writeStyleMap(org.w3c.dom.Document dom,
                               StyleMap sm,
                               java.lang.String sClass)

### writeXStyleMap

    private void writeXStyleMap(org.w3c.dom.Document dom,
                                XhtmlStyleMap sm,
                                java.lang.String sClass)

### writeContent

    private void writeContent(org.w3c.dom.Document dom,
                              java.util.LinkedList list,
                              java.lang.String sElement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD